org.eclipse.mat.parser.index

## Class IndexWriter

- java.lang.Object
- - org.eclipse.mat.parser.index.IndexWriter

    public abstract class IndexWriter
    extends Object

### Nested Class Summary

Nested Classes
`static class` `IndexWriter.Identifier`
`static class` `IndexWriter.InboundWriter`
`static class` `IndexWriter.IntArray1NSortedWriter`
`static class` `IndexWriter.IntArray1NUncompressedCollector`
`static class` `IndexWriter.IntArray1NWriter`
`static class` `IndexWriter.IntIndexCollector`
`static class` `IndexWriter.IntIndexCollectorUncompressed`
`static class` `IndexWriter.IntIndexStreamer`
`static interface` `IndexWriter.KeyWriter`
`static class` `IndexWriter.LongArray1NWriter`
`static class` `IndexWriter.LongIndexCollector`
`static class` `IndexWriter.LongIndexCollectorUncompressed`
`static class` `IndexWriter.LongIndexStreamer`
`static class` `IndexWriter.SizeIndexCollectorUncompressed` Store sizes of objects by compressing the size to a 32-bit int.

### Field Summary

Fields
`static int` `PAGE_SIZE_INT`
`static int` `PAGE_SIZE_LONG`

### Constructor Summary

Constructors
Constructor and Description
`IndexWriter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static long[]` `copyOf(long[] original, int newLength)`
`static int` `mostSignificantBit(int x)`
`static int` `mostSignificantBit(long x)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PAGE_SIZE_INT

    public static final int PAGE_SIZE_INT

See Also:
  Constant Field Values

#### PAGE_SIZE_LONG

    public static final int PAGE_SIZE_LONG

See Also:
  Constant Field Values

### Constructor Detail

#### IndexWriter

    public IndexWriter()

### Method Detail

#### copyOf

    public static long[] copyOf(long[] original,
                                int newLength)

#### mostSignificantBit

    public static int mostSignificantBit(int x)

#### mostSignificantBit

    public static int mostSignificantBit(long x)